<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ces Templates sont utilises dans Program et Course -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	
	<!-- Template des Crédits ECTS  -->
	
	<xsl:template name="tCreditsECTScredits">
		<xsl:param name="pNode"/>
		<xsl:apply-templates select="$pNode/ns2:credits/@ECTScredits"/>
	</xsl:template>
	
	<!-- Template des crédits - 
	InfoBlock seul -->
	
	<xsl:template name="tCreditsInfoBlockType">
		<xsl:param name="pNode"/>
		<xsl:apply-templates select="$pNode/ns2:credits/infoBlock"/>
	</xsl:template>
	
	<!-- Template des volumes horaires - LISTE
	Attribut teachingtype implémenté avec globalVolume correspondant -->
	
	<xsl:template name="tCreditsGlobalVolume">
		<xsl:param name="pNode"/>
		<ul>
			<xsl:for-each select="$pNode/ns2:credits/ns2:globalVolume">
				<li>
					<xsl:apply-templates select="@teachingtype"/> : 
					<xsl:apply-templates select="node()"/>
				</li>
			</xsl:for-each>
		</ul>
	</xsl:template>
	
	<!-- Template volumes horaires - Sélection d'un attribut (par exemple "all" pour la durée totale)
	Attribut teachingtype implémenté avec globalVolume correspondant -->
	
	<xsl:template name="tCreditsGlobalVolumeTeachingType">
		<xsl:param name="pNode"/>
		<xsl:param name="pTeachingType"/>
		<xsl:apply-templates select="$pNode/ns2:credits/ns2:globalVolume[@teachingtype=$pTeachingType]/node()"/> : 
	</xsl:template>
	
</xsl:stylesheet>